[arch-commits] Commit in pinentry/repos (6 files)
Tobias Powalowski
tpowa at archlinux.org
Tue Apr 28 14:52:57 UTC 2015
Date: Tuesday, April 28, 2015 @ 16:52:56
Author: tpowa
Revision: 238223
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
pinentry/repos/testing-i686/
pinentry/repos/testing-i686/PKGBUILD
(from rev 238222, pinentry/trunk/PKGBUILD)
pinentry/repos/testing-i686/pinentry.install
(from rev 238222, pinentry/trunk/pinentry.install)
pinentry/repos/testing-x86_64/
pinentry/repos/testing-x86_64/PKGBUILD
(from rev 238222, pinentry/trunk/PKGBUILD)
pinentry/repos/testing-x86_64/pinentry.install
(from rev 238222, pinentry/trunk/pinentry.install)
---------------------------------+
testing-i686/PKGBUILD | 36 ++++++++++++++++++++++++++++++++++++
testing-i686/pinentry.install | 20 ++++++++++++++++++++
testing-x86_64/PKGBUILD | 36 ++++++++++++++++++++++++++++++++++++
testing-x86_64/pinentry.install | 20 ++++++++++++++++++++
4 files changed, 112 insertions(+)
Copied: pinentry/repos/testing-i686/PKGBUILD (from rev 238222, pinentry/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2015-04-28 14:52:56 UTC (rev 238223)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=pinentry
+pkgver=0.9.1
+pkgrel=1
+pkgdesc="a collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://gnupg.org/related_software/pinentry/"
+depends=('ncurses' 'libcap>=2.16')
+makedepends=('gtk2' 'qt4')
+optdepends=('gtk2: for gtk2 backend'
+ 'qt4: for qt4 backend')
+source=(ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2{,.sig})
+install=pinentry.install
+md5sums=('d224d031130aedb44b05164cb04ed88b'
+ 'SKIP')
+validpgpkeys=('D8692123C4065DEA5E0F3AB5249B39D24F25E3B6') # Werner Koch
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ #for file in qt4/*.moc; do
+ # moc-qt4 ${file/.moc/.h} > ${file}
+ # done
+ ./configure --prefix=/usr \
+ --enable-pinentry-curses \
+ --enable-pinentry-gtk2 \
+ --enable-pinentry-qt4 \
+ --enable-fallback-curses
+ make
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=${pkgdir} install
+}
Copied: pinentry/repos/testing-i686/pinentry.install (from rev 238222, pinentry/trunk/pinentry.install)
===================================================================
--- testing-i686/pinentry.install (rev 0)
+++ testing-i686/pinentry.install 2015-04-28 14:52:56 UTC (rev 238223)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(pinentry.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
Copied: pinentry/repos/testing-x86_64/PKGBUILD (from rev 238222, pinentry/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2015-04-28 14:52:56 UTC (rev 238223)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=pinentry
+pkgver=0.9.1
+pkgrel=1
+pkgdesc="a collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://gnupg.org/related_software/pinentry/"
+depends=('ncurses' 'libcap>=2.16')
+makedepends=('gtk2' 'qt4')
+optdepends=('gtk2: for gtk2 backend'
+ 'qt4: for qt4 backend')
+source=(ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2{,.sig})
+install=pinentry.install
+md5sums=('d224d031130aedb44b05164cb04ed88b'
+ 'SKIP')
+validpgpkeys=('D8692123C4065DEA5E0F3AB5249B39D24F25E3B6') # Werner Koch
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ #for file in qt4/*.moc; do
+ # moc-qt4 ${file/.moc/.h} > ${file}
+ # done
+ ./configure --prefix=/usr \
+ --enable-pinentry-curses \
+ --enable-pinentry-gtk2 \
+ --enable-pinentry-qt4 \
+ --enable-fallback-curses
+ make
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=${pkgdir} install
+}
Copied: pinentry/repos/testing-x86_64/pinentry.install (from rev 238222, pinentry/trunk/pinentry.install)
===================================================================
--- testing-x86_64/pinentry.install (rev 0)
+++ testing-x86_64/pinentry.install 2015-04-28 14:52:56 UTC (rev 238223)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(pinentry.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list